GET api/Appointments?externalId={externalId}
Gets information about an appointment.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Appointment's unique ID on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
AppointmentModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
| AppointmentStatusExternalId |
Appointment status' unique ID on integrating system (Required). |
string |
None. |
| Start |
Date and time of the appointment. |
date |
None. |
| End |
Date and time when the appointment ends. |
date |
None. |
| LocationExternalId |
Location's unique ID on integrating system (Required). |
string |
None. |
| DoctorExternalId |
Doctor's unique ID on integrating system (Required). |
string |
None. |
| PatientExternalId |
Patient's unique ID on integrating system (Required). |
string |
None. |
| PatientPracticeManagementSystemId |
Patient's practice management system ID on integrating system (Required). |
string |
None. |
| CancelReason |
Appointment cancellation reason. |
string |
None. |
| AppointmentTypeExternalId |
Unique ID of the appointment type on integrating system. |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": "8e3b4d29-f39a-49c5-8b93-7f396dc9c988",
"externalId": "sample string 2",
"appointmentStatusExternalId": "sample string 3",
"start": "2026-05-29T16:58:02.2880637+00:00",
"end": "2026-05-29T16:58:02.2880637+00:00",
"locationExternalId": "sample string 6",
"doctorExternalId": "sample string 7",
"patientExternalId": "sample string 8",
"patientPracticeManagementSystemId": "sample string 9",
"cancelReason": "sample string 10",
"appointmentTypeExternalId": "sample string 11"
}
application/xml, text/xml
Sample:
<AppointmentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentsModel"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 2</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">8e3b4d29-f39a-49c5-8b93-7f396dc9c988</Id> <AppointmentStatusExternalId>sample string 3</AppointmentStatusExternalId> <AppointmentTypeExternalId>sample string 11</AppointmentTypeExternalId> <CancelReason>sample string 10</CancelReason> <DoctorExternalId>sample string 7</DoctorExternalId> <End>2026-05-29T16:58:02.2880637+00:00</End> <LocationExternalId>sample string 6</LocationExternalId> <PatientExternalId>sample string 8</PatientExternalId> <PatientPracticeManagementSystemId>sample string 9</PatientPracticeManagementSystemId> <Start>2026-05-29T16:58:02.2880637+00:00</Start> </AppointmentModel>